ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Myroslav Papirkovskyi (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (AMBARI-22584) PERF 1.0 stack deployment failure in ambari-2.6.1
Date Mon, 04 Dec 2017 18:14:01 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-22584?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Myroslav Papirkovskyi resolved AMBARI-22584.
--------------------------------------------
    Resolution: Fixed

Pushed to branch-2.6

> PERF 1.0 stack deployment failure in ambari-2.6.1
> -------------------------------------------------
>
>                 Key: AMBARI-22584
>                 URL: https://issues.apache.org/jira/browse/AMBARI-22584
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.6.1
>            Reporter: Myroslav Papirkovskyi
>            Assignee: Myroslav Papirkovskyi
>            Priority: Blocker
>             Fix For: 2.6.1
>
>
> While initiating PERF 1.0 stack deployment with ambari 2.6.1.0-84 got the following errors
while installation of services:
> {code}
> stderr:   /home/perf-0051/var/lib/ambari-agent/data/errors-1973.txt
> Traceback (most recent call last):
>   File "/home/perf-0051/var/lib/ambari-agent/cache/stacks/PERF/1.0/hooks/before-INSTALL/scripts/hook.py",
line 67, in <module>
>     BeforeInstallHook().execute()
>   File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 374, in execute
>     self.save_component_version_to_structured_out(self.command_name)
>   File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 244, in save_component_version_to_structured_out
>     stack_select_package_name = stack_select.get_package_name()
>   File "/usr/lib/python2.6/site-packages/resource_management/libraries/functions/stack_select.py",
line 110, in get_package_name
>     package = get_packages(PACKAGE_SCOPE_STACK_SELECT, service_name, component_name)
>   File "/usr/lib/python2.6/site-packages/resource_management/libraries/functions/stack_select.py",
line 186, in get_packages
>     raise Fail("The stack packages are not defined on the command. Unable to load packages
for the stack-select tool")
> resource_management.core.exceptions.Fail: The stack packages are not defined on the command.
Unable to load packages for the stack-select tool
> stdout:   /home/perf-0051/var/lib/ambari-agent/data/output-1973.txt
> Before Any Hook
> Before Install Hook
> 2017-12-03 06:41:28,563 - Execute['cp -n /home/perf-0051/var/lib/ambari-agent/cache/stacks/PERF/1.0/hooks/before-INSTALL/scripts/conf-select.py
/usr/bin/conf-select'] {'user': 'root'}
> 2017-12-03 06:41:28,652 - Execute['chmod a+x /usr/bin/conf-select'] {'user': 'root'}
> 2017-12-03 06:41:28,719 - Execute['cp -n /home/perf-0051/var/lib/ambari-agent/cache/stacks/PERF/1.0/hooks/before-INSTALL/scripts/distro-select.py
/usr/bin/distro-select'] {'user': 'root'}
> 2017-12-03 06:41:28,788 - Execute['chmod a+x /usr/bin/distro-select'] {'user': 'root'}
> Command failed after 1 tries
> {code}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message